// Copyright (C) 2013-2014 - Michael Baudin
//
// This file must be used under the terms of the 
// GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html

// Estimation d'un intervalle de confiance sur la moyenne.

// Experience B : Verification.
//
Nsample=10000;
X = distfun_lognrnd(mu,sigma,n,Nsample); // Echantillon X
Mn = mean(X,"r");
Sn2 = variance(X,"r",1); // variance empirique
borne = q * sqrt(Sn2/(n-1));
low=Mn-borne;
up=Mn+borne;
x=linspace(5,25,50);
scf();
histplot(x,low,style=1);
histplot(x,up,style=2);
plot([mux,mux],[0,0.3],"r-");
legend(["Lower Bound","Upper Bound","E(X)"]);
xtitle("Invervalle de confiance a 95% - X~Log-Normale",..
"Mean","Frequency")
//
// Calcul de P(I contains mux)
//
i=find(mux>low&mux<up);
nInBounds=size(i,"*");
pInBounds=nInBounds/Nsample;
mprintf("P(I contains E(X))=%f\n",pInBounds);
